% bsp_ausfuehren ist ein m-Skript, das zeigt wie die anderen Funktionen zur
% Simulation eines Pendels verwendet werden koennen

% Parameter des Pendels festlegen:
l = 2;
m = 1;

% Zeitraum festlegen, der betrachtet werden soll
t0 = 0; % Startzeitpunkt
t1 = 20; % Endzeitpunkt

% Startwerte festlegen:
phi0 = pi/8; % Auslenkung zum Zeitpunkt t0
omega0 = -1.5*pi; % Winkelgeschwindigkeit zum Zeitpunkt t0
timeStep = 0.03; % Abstand zwischen einzelnen Zeitpunkten, an denen die
                 % das Pendel betrachtet (und gezeichnet) werden soll
                 % Beachte: 1/timeStep gibt spaeter die Anzahl der Frames
                 % pro Sekunde in den Animationen an

% Winkelverlauf berechnen lassen:
[T, phi, omega] = berechneWinkel(l, phi0, omega0, t0, t1, timeStep);

% Nun koennen wir eine unserer Anzeige-Funktionen verwenden, um den Verlauf
% des Pendels zu veranschaulichen:

%energiePlot(l,m,T,phi,omega)
%phasenAnimation(l, T, phi, omega)
%pendelAnimation(l, T, phi, omega)